ConfigReader
Date: 2009-01-13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## joiner
Class ConfigReader

    java.lang.Object
      joiner.ConfigReader

    public class ConfigReader

extends java.lang.Object

Field Summary
`static java.lang.String` | `AUTO_NAME`
`static java.lang.String` | `JOIN_DIR`
`static java.lang.String` | `LANGUAGE`
`static java.lang.String` | `LAST_5_JOINS`
`static java.lang.String` | `LAST_DIR`
`static java.lang.String` | `LIST_BACKGROUND`
`static java.lang.String` | `LIST_FOREGROUND`
`static java.lang.String` | `SAME_DIR`
`static java.lang.String` | `SAVE_PATH`
`static java.lang.String` | `USER`

Constructor Summary
`protected` | `ConfigReader()`

Method Summary
`static void` | `create()`
`static void` | `create(java.lang.String _path)`
`java.lang.String` | `getConfigValueByKey(java.lang.String _key)`
`static ConfigReader` | `getInstance()`
`java.util.HashMap<java.lang.String,java.lang.String>` | `getLoadedConfig()`
`boolean` | `hasConfigChanged()`
`boolean` | `initFromxml(java.io.File _xmlfile)`
`void` | `printConfig()` only for test print out config
`void` | `saveActualConfig()`
`void` | `saveConfigToFile(java.lang.String _path)`
`void` | `saveNewValueByKey(java.lang.String _key, java.lang.String _value)`
`void` | `startGui()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LANGUAGE

    public static final java.lang.String LANGUAGE

See Also:
  Constant Field Values

### USER

    public static final java.lang.String USER

See Also:
  Constant Field Values

### SAVE_PATH

    public static final java.lang.String SAVE_PATH

See Also:
  Constant Field Values

### AUTO_NAME

    public static final java.lang.String AUTO_NAME

See Also:
  Constant Field Values

### SAME_DIR

    public static final java.lang.String SAME_DIR

See Also:
  Constant Field Values

### LAST_DIR

    public static final java.lang.String LAST_DIR

See Also:
  Constant Field Values

### JOIN_DIR

    public static final java.lang.String JOIN_DIR

See Also:
  Constant Field Values

### LIST_BACKGROUND

    public static final java.lang.String LIST_BACKGROUND

See Also:
  Constant Field Values

### LIST_FOREGROUND

    public static final java.lang.String LIST_FOREGROUND

See Also:
  Constant Field Values

### LAST_5_JOINS

    public static final java.lang.String LAST_5_JOINS

See Also:
  Constant Field Values

Constructor Detail

### ConfigReader

    protected ConfigReader()

Method Detail

### create

    public static void create(java.lang.String _path)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### create

    public static void create()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getInstance

    public static ConfigReader getInstance()

### getLoadedConfig

    public java.util.HashMap<java.lang.String,java.lang.String> getLoadedConfig()

### getConfigValueByKey

    public java.lang.String getConfigValueByKey(java.lang.String _key)

### saveNewValueByKey

    public void saveNewValueByKey(java.lang.String _key,
                                  java.lang.String _value)

### saveActualConfig

    public void saveActualConfig()

### initFromxml

    public boolean initFromxml(java.io.File _xmlfile)

### printConfig

    public void printConfig()

  only for test print out config

### hasConfigChanged

    public boolean hasConfigChanged()

### saveConfigToFile

    public void saveConfigToFile(java.lang.String _path)

### startGui

    public void startGui()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD